define(
    [
        'jquery',
        'ko',
    ],
    function (
        $,
        ko
    ) {
        'use strict';

        function initStepOption(option) {
            dataLayer.push({
                'event':'checkoutOption',
                'ecommerce': {
                    'actionField': {
                        'step': '2',
                        'option': option
                    }
                }
            });
        }

        let mixin = {

            afterPlaceOrder: function () {
                let optionValue = $('.payment-method._active .payment-method-title .label span').text();

                if (optionValue) {
                    initStepOption(optionValue);
                }
            }
        };

        return function (target) { // target == Result that Magento_Ui/.../default returns.
            return target.extend(mixin); // new result that all other modules receive
        };
    });
